
#ifndef _Dialogue_H__
#define _Dialogue_H__
#include <string>	
#include "core/BaseObject.h"

namespace orxonox{

class Dialogue: public BaseObject{

	public:
            Dialogue(Context* context); //!< Default Constructor.
            virtual ~Dialogue(); //!< Destructor.

            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);

            const std::string& getMessage(void)
                { return this->message_; }

            void setMessage(const std::string& message)
                { this->message_ = message; }

    protected:
    	virtual const std::string& createNotificationMessage(void)
                { return this->message_; }
    private:
    		std::string message_;
        } ;       

}

#endif 